use rouille::Response;

pub fn javascript_redirect(path: &str) -> Response {
    Response::html(format!("
    <!DOCTYPE html>
    <html>
      <head>
        <title>Redirecting...</title>   
        <meta http-equiv=\"refresh\" content=\"0;URL='{path}'\">
        <script>
            window.location.href = \"{path}\";
        </script>
      </head>
      <body>
        <h1>Redirecting...</h1>
      </body>
    </html>"))
}